> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get branch details

> Retrieves detailed information about a specific branch including:
- ID
- Name
- Author
- Creation time
- Associated commit ID
- Description
- Deletion status
- Draft commit status

**Requirements:**
Requires READ access to the repository.

**Returns:**
Branch details with enriched author information from the user database.




## OpenAPI

````yaml get /repos/{repo_id}/branches/{branch_id}
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /repos/{repo_id}/branches/{branch_id}:
    parameters:
      - $ref: '#/components/parameters/RepoParam'
      - $ref: '#/components/parameters/BranchParam'
    get:
      tags:
        - Repository Branch Manipulation
      summary: Get the current branch details
      operationId: src.handlersv2.branch.get
      responses:
        '200':
          description: Branch details returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Branch'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/read
        - OAuth2:
            - coreapi/write
components:
  parameters:
    RepoParam:
      in: path
      name: repo_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: >-
        The repo ID of the repository. Repo _name_ can be used instead of the
        ID, but usage of ID for permanent linking and API requests is preferred.
    BranchParam:
      in: path
      name: branch_id
      description: >-
        Branch ID. Branch _name_ can be used instead of the ID, but storing and
        using branch ID in API requests is preferred.
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      required: true
  schemas:
    Branch:
      allOf:
        - $ref: '#/components/schemas/NewBranch'
        - type: object
          properties:
            branch_id:
              description: Branch identifier in Diversion
              type: string
            author:
              $ref: '#/components/schemas/User'
            time:
              description: Creation time
              type: number
              format: int64
          required:
            - branch_id
            - author
            - time
    NewBranch:
      allOf:
        - $ref: '#/components/schemas/CommitId'
        - type: object
          properties:
            branch_name:
              type: string
              example: new-branch-name
              minLength: 1
              maxLength: 128
            branch_description:
              type: string
              example: A description of the branch
          required:
            - branch_name
    User:
      description: User details
      type: object
      properties:
        image:
          type: string
          description: URL of the user image
        email:
          type: string
          format: email
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
      required:
        - id
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
          example: 403
        detail:
          type: string
          example: User not authorized to perform the requested action on the resource
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
    CommitId:
      type: object
      properties:
        commit_id:
          type: string
          example: example_id
          minLength: 3
          maxLength: 128
      required:
        - commit_id
  responses:
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````